Page MenuHomePhabricator

Remove Wikipedia Zero wiki and Zero-related extensions from production
Closed, ResolvedPublic

Event Timeline

Jdforrester-WMF triaged this task as Normal priority.Jan 3 2019, 4:01 PM
Jdforrester-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 4:01 PM

Change 482098 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Re-write mobilelanding.php to not break when we drop ZeroBanner

https://gerrit.wikimedia.org/r/482098

Change 482099 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Wikipedia Zero debug log channel

https://gerrit.wikimedia.org/r/482099

Change 482100 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] robots.php: Drop the special treatment for Wikipedia Zero

https://gerrit.wikimedia.org/r/482100

Change 482101 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] zerowiki: Stop whitelisting ZeroPortal to logged out users, no longer available

https://gerrit.wikimedia.org/r/482101

Change 482102 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop ZeroBanner and ZeroPortal from production

https://gerrit.wikimedia.org/r/482102

Change 482103 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Stop configuring ZeroBanner and ZeroPortal, unused

https://gerrit.wikimedia.org/r/482103

Change 482104 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Stop loading i18n for ZeroBanner and ZeroPortal, unused

https://gerrit.wikimedia.org/r/482104

Change 482098 abandoned by Jforrester:
Re-write mobilelanding.php to not break when we drop ZeroBanner

Reason:
Replaced by If84ab62.

https://gerrit.wikimedia.org/r/482098

Change 520953 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/ZeroBanner@master] Get rid of RL modules

https://gerrit.wikimedia.org/r/520953

Change 520958 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/ZeroPortal@master] Drop RL module dependency on zerobanner.config.styles so we can kill it

https://gerrit.wikimedia.org/r/520958

Change 520958 merged by jenkins-bot:
[mediawiki/extensions/ZeroPortal@master] Drop RL module dependency on zerobanner.config.styles so we can kill it

https://gerrit.wikimedia.org/r/520958

Change 521206 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/ZeroBanner@master] Log every instance of Zero headers being set to statsd

https://gerrit.wikimedia.org/r/521206

Change 520953 merged by jenkins-bot:
[mediawiki/extensions/ZeroBanner@master] Get rid of RL modules and GD dependency

https://gerrit.wikimedia.org/r/520953

Change 521206 merged by jenkins-bot:
[mediawiki/extensions/ZeroBanner@master] Log every instance of Zero headers being set to statsd

https://gerrit.wikimedia.org/r/521206

Change 482099 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Wikipedia Zero debug log channel

https://gerrit.wikimedia.org/r/482099

Change 482100 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] robots.php: Drop the special treatment for Wikipedia Zero

https://gerrit.wikimedia.org/r/482100

Change 482102 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the ability to use ZeroBanner and ZeroPortal from production

https://gerrit.wikimedia.org/r/482102

Change 482103 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Stop configuring ZeroBanner and ZeroPortal, unused

https://gerrit.wikimedia.org/r/482103

Change 482104 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Stop loading i18n for ZeroBanner and ZeroPortal, unused

https://gerrit.wikimedia.org/r/482104

Change 482101 abandoned by Jforrester:
zerowiki: Stop whitelisting ZeroPortal to logged out users, no longer available

Reason:
Squashed.

https://gerrit.wikimedia.org/r/482101

Krinkle renamed this task from Remove Wikipedia Zero-related extensions from production to Remove Wikipedia Zero wiki and Zero-related extensions from production.Jul 10 2019, 5:57 PM
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.

Per https://wikitech.wikimedia.org/wiki/Delete_a_wiki, I've checked:

  • CentralAuth: There are 0 entires in centralauth.localnames for non-unified zerowiki accounts.
  • GlobalUsage: There are 0 entries in commonswiki.globalimagelinks for zerowiki (as expected, given it was a private fishbowl wiki).

Mentioned in SAL (#wikimedia-operations) [2019-07-10T21:41:19Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T212865 Disable ZeroBanner on all wikis (duration: 00m 59s)

Change 482099 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Wikipedia Zero debug log channel

https://gerrit.wikimedia.org/r/482099

Change 482100 merged by jenkins-bot:
[operations/mediawiki-config@master] robots.php: Drop the special treatment for Wikipedia Zero

https://gerrit.wikimedia.org/r/482100

Mentioned in SAL (#wikimedia-operations) [2019-07-10T21:55:07Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T212865 Drop the Wikipedia Zero debug log channel (duration: 00m 58s)

Change 482102 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the ability to use ZeroBanner and ZeroPortal from production

https://gerrit.wikimedia.org/r/482102

Mentioned in SAL (#wikimedia-operations) [2019-07-10T21:59:24Z] <jforrester@deploy1001> Synchronized w/robots.php: T212865 Drop the special treatment for Wikipedia Zero (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2019-07-10T22:03:11Z] <jforrester@deploy1001> Synchronized wmf-config/mobile.php: T212865 Drop the ability to use ZeroBanner and ZeroPortal from production, mobile code (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-07-10T22:06:23Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T212865 Drop the ability to use ZeroBanner and ZeroPortal from production (duration: 00m 57s)

Change 482103 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop configuring ZeroBanner and ZeroPortal, unused

https://gerrit.wikimedia.org/r/482103

Change 521972 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] Stop branching ZeroBanner and ZeroPortal, we've dropped them

https://gerrit.wikimedia.org/r/521972

Mentioned in SAL (#wikimedia-operations) [2019-07-10T22:16:54Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T212865 Stop configuring ZeroBanner and ZeroPortal, unused (duration: 00m 58s)

Change 482104 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop loading i18n for ZeroBanner and ZeroPortal, unused

https://gerrit.wikimedia.org/r/482104

Jdforrester-WMF closed this task as Resolved.Jul 10 2019, 10:19 PM

Change 521972 merged by jenkins-bot:
[mediawiki/tools/release@master] Stop branching ZeroBanner and ZeroPortal, we've dropped them

https://gerrit.wikimedia.org/r/521972